;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Message change sprite.
; By InvisibleCoinBlock
; 
; What this sprite does: 
; place this at the entrance screen of a level to make NPCs and message
; boxes use different level messages after a certain OW event has occured.
; Use the original level's message first, then set the new level 
; number you want to use after the Event Number is set.
;
; For use in multiple levels, make a copy of this asm and its cfg file
; and rename them appropriately, then use the cfg editor to point
; the cfg to the new asm file.

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Defines (All can use 00 through FF only)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

EventNumber = $01
NewLevel = $01

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; INIT and Main Routines
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	dcb "INIT"
	RTL                 
              dcb "MAIN"  
	JSR EventCheck
	TYA
	BEQ RETURN
	LDA #NewLevel	
	STA $13BF
	RETURN:
	RTL

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Check Event Flag
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Threshold		dcb $80,$40,$20,$10,$08,$04,$02,$01

EventCheck:
			PHX
			LDA #EventNumber
			CMP #$FF
			BEQ PassCheck
			AND #$07
			TAX
			LDA #EventNumber
			LSR A
			LSR A
			LSR A
			TAY
			LDA $1F02,y
			AND Threshold,x
PassCheck:
			TAY
			PLX
			RTS